; PARAMETER TYPES
;
; 1. Normal parameters. 
;
;	For example: PORT=100
;
; 2. Value formats:
;
; 	Each parameter value has a single representation in VideoDR-S -
;	it is a simple integer in range from 0 to some maximum value, for
;	example CAMERA - 0..16, QUALITY - 0..100, BRIGHTNESS - 0..10000.
;	You needn't to know those values actually. You can change its
;	format by using value formats as follows:
;
;		CAMERA={1,2,3,4}
;	replaces 0 with 1, ..., 3 with 4, each value above 3 remains unchanged,
;
;		BRIGHTNESS=<1,100>
;	maps values to range 1-100. In above case it maps <0,10000> to <0,100>
;	for example 5000 becomes 500, 0 is still 0, and 9123 becomes 91.
;
;		QUALITY=(Low,Medium,Good,Excellent)
;	replaces each value with a string. For example if maximum value for
;	this parameter is 100 it replaces all values in range <0,24> with Low,
;	<25-49> with Medium, <50-74> with Good, and <75-100> with Excellent.
; 
; 
; 3. Formatted strings:
;
;	For example for request:
;
;		CAMERA={1,2,3,4}
;		QUALITY=(Low,Medium,Good,Excellent)
;		URI = /media/%CAMERA%/mjpeg.bin?Quality=%QUALITY%&Fps=%FPS%
;
;	All parameters are replaced with their formatted values, before URI
;	string is used. 
;	For parameter values in video server:
;			CAMERA = 0
;			QUALITY = 20 // range 0-100
;			FPS	= 25 // range 0-25
;
;	URI string is used in form as follows:
;
;		/media/1/mjpeg.cgi?Quality=Low&Fps=25
;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;        VIDEO
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[GET_VIDEO_HTTP_MJPEG]
URI = /now.jpg?snap=spush

[GET_VIDEO_HTTP_MJPEG_PREVIEW]
URI = /now.jpg?snap=spush0.2?ds=%MODEL_PARAM_0%&jq=75

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;        CAMERA
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[SET_CAMERA_QUALITY]
; Leave CAMERA in default format: 0,1,...15
; map quality to compression - reverse direction.
CAMERA_QUALITY = (medium,high,fine,superfine) 
URI = /set.oid?OidTB1.2.7=%CAMERA_QUALITY%

[GET_CAMERA_QUALITY]
CAMERA_QUALITY = (medium,high,fine,superfine)
URI = /get.oid?1.2.7
DATA = <xmp>

[SET_CAMERA_BRIGHTNESS]
CAMERA_BRIGHTNESS = [0.0,1.00]
URI = /set.oid?OidTB1.2.8.4=%CAMERA_BRIGHTNESS%

[GET_CAMERA_BRIGHTNESS]
CAMERA_BRIGHTNESS = [0.0,1.00]
URI = /get.oid?1.2.8.4
DATA = <xmp>

[SET_CAMERA_SATURATION]
CAMERA_SATURATION = [0.0,1.99]
URI = /set.oid?OidTB1.2.21=%CAMERA_SATURATION%

[GET_CAMERA_SATURATION]
CAMERA_SATURATION = [0.0,1.99]
URI = /get.oid?1.2.21
DATA = <xmp>

[SET_CAMERA_CONTRAST]
CAMERA_CONTRAST = [0.0,1.99]
URI = /set.oid?OidTB1.2.1=%CAMERA_CONTRAST%

[GET_CAMERA_CONTRAST]
CAMERA_CONTRAST = [0.0,1.99]
URI = /get.oid?1.2.1
DATA = <xmp>

[SET_CAMERA_FPS]
; leave CAMERA_FPS in default format
URI = /set.oid?OidTB1.2.31=%CAMERA_FPS%

[GET_CAMERA_FPS]
; leave CAMERA_FPS in default format
URI = /get.oid?1.2.31
DATA = <xmp>

[SET_CAMERA_FORMAT]
; downsample for CIF(8),2CIF(notused-4),4CIF(4),5CIF(1)
CAMERA_FORMAT = {4,4,2,1}
URI = /set.oid?OidTB1.2.2=%CAMERA_FORMAT%

[GET_CAMERA_FORMAT]
CAMERA_FORMAT = {4,4,2,1}
URI = /get.oid?1.2.2
DATA = <xmp>

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;        MISC
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[WEB_INTERFACE]
GET = imageset.html

